<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>16.0</VCProjectVersion>
    <ProjectGuid>{B5557CC8-F26E-4162-8008-4BFACD2991FD}</ProjectGuid>
    <Keyword>MFCProj</Keyword>
    <RootNamespace>SATHelper</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>MultiByte</CharacterSet>
    <UseOfMfc>Dynamic</UseOfMfc>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>MultiByte</CharacterSet>
    <UseOfMfc>Dynamic</UseOfMfc>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
    <UseOfMfc>Dynamic</UseOfMfc>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
    <UseOfMfc>Dynamic</UseOfMfc>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>..\..\..\..\bin\$(ProjectName)\</OutDir>
    <IntDir>$(OutDir)$(Configuration)\</IntDir>
    <TargetName>$(ProjectName)</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>..\..\..\..\bin\$(ProjectName)\</OutDir>
    <IntDir>$(OutDir)$(Configuration)\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>false</SDLCheck>
      <PreprocessorDefinitions>WIN32;_WINDOWS;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PrecompiledHeaderFile>stdafx.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>..\UI;..\filehelper;..\cJson</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <AdditionalDependencies>QCAP.X86.lib;VFW32.LIB;legacy_stdio_definitions.lib</AdditionalDependencies>
    </Link>
    <Midl>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <ValidateAllParameters>true</ValidateAllParameters>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </Midl>
    <ResourceCompile>
      <Culture>0x0804</Culture>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_WINDOWS;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
    </Link>
    <Midl>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <ValidateAllParameters>true</ValidateAllParameters>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </Midl>
    <ResourceCompile>
      <Culture>0x0804</Culture>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>false</SDLCheck>
      <PreprocessorDefinitions>WIN32;_WINDOWS;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PrecompiledHeaderFile>stdafx.h</PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>..\UI;..\filehelper;..\cJson</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <UACExecutionLevel>RequireAdministrator</UACExecutionLevel>
    </Link>
    <Midl>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <ValidateAllParameters>true</ValidateAllParameters>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </Midl>
    <ResourceCompile>
      <Culture>0x0804</Culture>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>_WINDOWS;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PrecompiledHeaderFile>pch.h</PrecompiledHeaderFile>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
    <Midl>
      <MkTypLibCompatible>false</MkTypLibCompatible>
      <ValidateAllParameters>true</ValidateAllParameters>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </Midl>
    <ResourceCompile>
      <Culture>0x0804</Culture>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(IntDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="..\cJson\cJSON.h" />
    <ClInclude Include="..\filehelper\filehelper.h" />
    <ClInclude Include="..\filehelper\findfile.h" />
    <ClInclude Include="..\UI\BCMenu.h" />
    <ClInclude Include="..\UI\BtnST.h" />
    <ClInclude Include="..\UI\ComboTreeCtrl.h" />
    <ClInclude Include="..\UI\FontSize.h" />
    <ClInclude Include="..\UI\PictureEx.h" />
    <ClInclude Include="..\UI\SubLabel.h" />
    <ClInclude Include="..\UI\TreeComboBox.h" />
    <ClInclude Include="..\UI\XColorStatic.h" />
    <ClInclude Include="Base64.h" />
    <ClInclude Include="calendarbar.h" />
    <ClInclude Include="CaptureDef.h" />
    <ClInclude Include="CharEncoding.h" />
    <ClInclude Include="DevicesWnd.h" />
    <ClInclude Include="DeviceView.h" />
    <ClInclude Include="ChildFrm.h" />
    <ClInclude Include="ClassView.h" />
    <ClInclude Include="CritSection.h" />
    <ClInclude Include="Device.h" />
    <ClInclude Include="DlgLogin.h" />
    <ClInclude Include="DlgProBar.h" />
    <ClInclude Include="DlgService.h" />
    <ClInclude Include="FileView.h" />
    <ClInclude Include="framework.h" />
    <ClInclude Include="Global.h" />
    <ClInclude Include="IMGCommon.h" />
    <ClInclude Include="IOCPModel.h" />
    <ClInclude Include="IRControlWnd.h" />
    <ClInclude Include="MainFrm.h" />
    <ClInclude Include="MemoryClient.h" />
    <ClInclude Include="MemoryComm.h" />
    <ClInclude Include="MemoryDef.h" />
    <ClInclude Include="OutputWnd.h" />
    <ClInclude Include="QCAP.H" />
    <ClInclude Include="SATClient.h" />
    <ClInclude Include="SATData.h" />
    <ClInclude Include="SATProtocol.h" />
    <ClInclude Include="SocketClientImpl.h" />
    <ClInclude Include="SocketHandle.h" />
    <ClInclude Include="stdafx.h" />
    <ClInclude Include="PropertiesWnd.h" />
    <ClInclude Include="Resource.h" />
    <ClInclude Include="SATHelper.h" />
    <ClInclude Include="SATHelperDoc.h" />
    <ClInclude Include="SATHelperView.h" />
    <ClInclude Include="stdint.h" />
    <ClInclude Include="SynSerial.h" />
    <ClInclude Include="targetver.h" />
    <ClInclude Include="tinyxml2.h" />
    <ClInclude Include="TrayIcon.h" />
    <ClInclude Include="UB530View.h" />
    <ClInclude Include="ViewTree.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="..\cJson\cJSON.c">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">NotUsing</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">NotUsing</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="..\filehelper\filehelper.cpp" />
    <ClCompile Include="..\filehelper\findfile.cpp" />
    <ClCompile Include="..\UI\BCMenu.cpp" />
    <ClCompile Include="..\UI\BtnST.cpp" />
    <ClCompile Include="..\UI\ComboTreeCtrl.cpp" />
    <ClCompile Include="..\UI\FontSize.cpp" />
    <ClCompile Include="..\UI\PictureEx.cpp" />
    <ClCompile Include="..\UI\SubLabel.cpp" />
    <ClCompile Include="..\UI\TreeComboBox.cpp" />
    <ClCompile Include="..\UI\XColorStatic.cpp" />
    <ClCompile Include="Base64.cpp" />
    <ClCompile Include="calendarbar.cpp" />
    <ClCompile Include="CharEncoding.cpp" />
    <ClCompile Include="DevicesWnd.cpp" />
    <ClCompile Include="DeviceView.cpp" />
    <ClCompile Include="ChildFrm.cpp" />
    <ClCompile Include="ClassView.cpp" />
    <ClCompile Include="Device.cpp" />
    <ClCompile Include="DlgLogin.cpp" />
    <ClCompile Include="DlgProBar.cpp" />
    <ClCompile Include="DlgService.cpp" />
    <ClCompile Include="FileView.cpp" />
    <ClCompile Include="Global.cpp" />
    <ClCompile Include="IMGCommon.cpp" />
    <ClCompile Include="IOCPModel.cpp" />
    <ClCompile Include="IRControlWnd.cpp" />
    <ClCompile Include="MainFrm.cpp" />
    <ClCompile Include="MemoryClient.cpp" />
    <ClCompile Include="MemoryComm.cpp" />
    <ClCompile Include="OutputWnd.cpp" />
    <ClCompile Include="SATClient.cpp" />
    <ClCompile Include="SATData.cpp" />
    <ClCompile Include="SocketHandle.cpp" />
    <ClCompile Include="stdafx.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Create</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="PropertiesWnd.cpp" />
    <ClCompile Include="SATHelper.cpp" />
    <ClCompile Include="SATHelperDoc.cpp" />
    <ClCompile Include="SATHelperView.cpp" />
    <ClCompile Include="SynSerial.cpp" />
    <ClCompile Include="tinyxml2.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">NotUsing</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">NotUsing</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="TrayIcon.cpp" />
    <ClCompile Include="UB530View.cpp" />
    <ClCompile Include="ViewTree.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="SATHelper.rc" />
  </ItemGroup>
  <ItemGroup>
    <Image Include="res\buttons.bmp" />
    <Image Include="res\checked.bmp" />
    <Image Include="res\classview.bmp" />
    <Image Include="res\classview_hc.bmp" />
    <Image Include="res\class_view.ico" />
    <Image Include="res\class_view_hc.ico" />
    <Image Include="res\explorer.bmp" />
    <Image Include="res\explorer_hc.bmp" />
    <Image Include="res\filelarge.bmp" />
    <Image Include="res\filesmall.bmp" />
    <Image Include="res\fileview.bmp" />
    <Image Include="res\fileview_hc.bmp" />
    <Image Include="res\file_view.ico" />
    <Image Include="res\file_view_hc.ico" />
    <Image Include="res\info.bmp" />
    <Image Include="res\main.bmp" />
    <Image Include="res\menuimages.bmp" />
    <Image Include="res\menuimages_hc.bmp" />
    <Image Include="res\nav_large.bmp" />
    <Image Include="res\nav_large_hc.bmp" />
    <Image Include="res\output_wnd.ico" />
    <Image Include="res\output_wnd_hc.ico" />
    <Image Include="res\pages.bmp" />
    <Image Include="res\pages_hc.bmp" />
    <Image Include="res\pages_small.bmp" />
    <Image Include="res\pages_small_hc.bmp" />
    <Image Include="res\probar.gif" />
    <Image Include="res\properties.bmp" />
    <Image Include="res\properties_hc.bmp" />
    <Image Include="res\properties_wnd.ico" />
    <Image Include="res\properties_wnd_hc.ico" />
    <Image Include="res\SATHelper.ico" />
    <Image Include="res\SATHelperDoc.ico" />
    <Image Include="res\sort.bmp" />
    <Image Include="res\sort_hc.bmp" />
    <Image Include="res\Toolbar.bmp" />
    <Image Include="res\Toolbar256.bmp" />
    <Image Include="res\unchecked.bmp" />
    <Image Include="res\writelarge.bmp" />
    <Image Include="res\writesmall.bmp" />
  </ItemGroup>
  <ItemGroup>
    <None Include="res\gif1.bin" />
    <None Include="res\ribbon.mfcribbon-ms" />
    <None Include="res\SATHelper.rc2" />
  </ItemGroup>
  <ItemGroup>
    <Xml Include="layout.xml" />
  </ItemGroup>
  <ItemGroup>
    <Library Include="QCAP.X86.LIB" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>